Summary:	GData access library
Summary(pl.UTF-8):	Biblioteka dostępu poprzez protokół GData
Name:		libgdata
Version:	0.17.8
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgdata/0.17/%{name}-%{version}.tar.xz
# Source0-md5:	7a67dde280078bf12de3f98bd21c4931
URL:		http://live.gnome.org/libgdata
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.9
BuildRequires:	gcr-devel >= 3
# for tests only
BuildRequires:	gdk-pixbuf2-devel >= 2.14
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gnome-common >= 3.6.0
BuildRequires:	gnome-online-accounts-devel >= 3.8
BuildRequires:	gobject-introspection-devel >= 0.9.7
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	intltool >= 0.40.0
BuildRequires:	json-glib-devel >= 0.15
BuildRequires:	liboauth-devel >= 0.9.4
BuildRequires:	libsoup-devel >= 2.48.0
BuildRequires:	libtool >= 2:2
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	uhttpmock-devel >= 0.5.0
BuildRequires:	vala-gnome-online-accounts
BuildRequires:	xz
Requires:	glib2 >= 1:2.38.0
Requires:	gnome-online-accounts-libs >= 3.8
Requires:	json-glib >= 0.15
Requires:	liboauth >= 0.9.4
Requires:	libsoup >= 2.48.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgdata is a GLib-based library for accessing online service APIs
using the GData protocol - most notably, Google's services. It
provides APIs to access the common Google services, and has full
asynchronous support.

%description -l pl.UTF-8
libgdata to oparta na GLibie biblioteka służąca do dostępu do API
serwisów sieciowych przy użyciu protokołu GData - głównie serwisów
firmy Google. Biblioteka udostępnia API do popularnych serwisów Google
i ma pełną obsługę komunikacji asynchronicznej.

%package devel
Summary:	Header files for libgdata library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgdata
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gcr-devel >= 3
Requires:	glib2-devel >= 1:2.38.0
Requires:	gnome-online-accounts-devel >= 3.8
Requires:	json-glib-devel >= 0.15
Requires:	liboauth-devel >= 0.9.4
Requires:	libsoup-devel >= 2.48.0
Requires:	libxml2-devel >= 1:2.6.26

%description devel
Header files and support files necessary to compile applications using
libgdata.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz pomocnicze potrzebne do kompilowania aplikacji
wykorzystujących bibliotekę libgdata.

%package static
Summary:	libgdata static library
Summary(pl.UTF-8):	Statyczna biblioteka libgdata
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static libgdata library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę libgdata.

%package apidocs
Summary:	libgdata API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libgdata
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
libgdata API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libgdata.

%package -n vala-libgdata
Summary:	libgdata API for Vala language
Summary(pl.UTF-8):	API libgdata dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.16
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-libgdata
libgdata API for Vala language.

%description -n vala-libgdata -l pl.UTF-8
API libgdata dla języka Vala.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgdata.la

%find_lang gdata

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gdata.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgdata.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdata.so.22
%{_libdir}/girepository-1.0/GData-0.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdata.so
%{_datadir}/gir-1.0/GData-0.0.gir
%{_includedir}/libgdata
%{_pkgconfigdir}/libgdata.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdata.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gdata

%files -n vala-libgdata
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libgdata.deps
%{_datadir}/vala/vapi/libgdata.vapi
%changelog
* Sun Apr 23 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgdata.git;a=log;h=master

* Sun Apr 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 2181bb4
- Update to 0.17.8

* Thu Mar 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> f195f3d
- Update to 0.17.7

* Sat Dec 10 2016 Jakub Bogusz <qboosh@pld-linux.org> a6ad35e
- updated to 0.17.6

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 622eae2
- updated to 0.17.5

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> f9cfe02
- noarch apidocs

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 66f4b62
- noarch vala subpackage

* Fri Dec 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 25d7a06
- updated to 0.17.4

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 8c0eaea
- updated to 0.17.3 (note: new soname)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 9c86bc5
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 3e60e1f
- updated gettext BR

* Thu Nov 13 2014 Jakub Bogusz <qboosh@pld-linux.org> b217910
- updated to 0.16.1

* Tue Oct 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 117d3cb
- updated to 0.16.0 (note: new soname)

* Wed May 28 2014 Jakub Bogusz <qboosh@pld-linux.org> f13d8c8
- base R: gnome-online-accounts-libs

* Wed May 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 4de34aa
- updated to 0.14.3

* Fri Dec 20 2013 Łukasz Kieś <kiesiu@pld-linux.org> 0ceecd5
- updated to 0.14.1

* Fri Aug 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 66a4944
- updated to 0.14.0

* Thu Aug 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 8a761dd
- updated to 0.13.4

* Sat Mar 30 2013 Marcin Banasiak <marcin.banasiak@gmail.com> e82d74a
- Update to 0.13.3

* Sat Dec 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 0d03876
- pl, completed dependencies

* Fri Oct 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 0fe3061
- Update to 0.13.2

